package cd.casic.ci.common.pipeline.pojo.agent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname ThirdPartyDockerBuildInfo
 * @Description TODO
 * @Date 2025/4/8 19:42
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@Schema(name = "第三方构建Docker信息")
public class ThirdPartyDockerBuildInfo {
    @Schema(description = "项目id")
    private String projectId;
    @Schema(description = "构建id")
    private String buildId;
    @Schema(description = "构建机编排序号")
    private String vmSeqId;
}
