package cd.casic.pipeline.dispatch.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author by mianbin
 * @Classname BuildAbortMessage
 * @Description TODO
 * @Date 2025/4/8 16:36
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(title = "停止构建信息")
public class BuildAbortMessage {
    @Schema(title = "构建ID", required = true)
    private String buildId;
    @Schema(title = "用户ID", required = true)
    private String userId;
    @Schema(title = "虚拟Hash ID", required = true)
    private String vmHashId;
}
