package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname AgentPipelineRef
 * @Description TODO
 * @Date 2025/4/8 21:13
 */
@Data
public class AgentPipelineRef {
    @Schema(title = "Node ID", required = true)
    private Long nodeId;
    @Schema(title = "Node Hash ID", required = true)
    private String nodeHashId;
    @Schema(title = "Agent ID", required = true)
    private Long agentId;
    @Schema(title = "Agent Hash ID", required = true)
    private String agentHashId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "流水线ID", required = true)
    private String pipelineId;
    @Schema(title = "流水线名称", required = true)
    private String pipelineName;
    @Schema(title = "Vm Seq ID", required = true)
    private String vmSeqId;
    @Schema(title = "Job ID", required = true)
    private String jobId;
    @Schema(title = "Job Name", required = true)
    private String jobName;
    @Schema(title = "上次构建时间", required = false)
    private String lastBuildTime;
}
