package cd.casic.pipeline.environment.pojo.thirdpartyagent;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author by mianbin
 * @Classname ThirdPartyAgentStaticInfo
 * @Description TODO
 * @Date 2025/4/8 21:20
 */
@Data
public class ThirdPartyAgentStaticInfo {
    @Schema(title = "Agent Hash ID", required = true)
    private String agentId;
    @Schema(title = "项目ID", required = true)
    private String projectId;
    @Schema(title = "操作系统", required = true)
    private String os;
    @Schema(title = "密钥", required = true)
    private String secretKey;
    @Schema(title = "创建人", required = true)
    private String createdUser;
    @Schema(title = "gateway", required = false)
    private String gateway;
    @Schema(title = "link", required = true)
    private String link;
    @Schema(title = "script", required = true)
    private String script;
    @Schema(title = "ip", required = true)
    private String ip;
    @Schema(title = "hostName", required = false)
    private String hostName;
    @Schema(title = "状态")
    private Integer status;
    @Schema(title = "agent版本")
    private String masterVersion;
}
