package cd.casic.pipeline.store.pojo.atom;

import cd.casic.pipeline.store.pojo.common.enums.PackageSourceTypeEnum;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
@Schema(title = "升级插件包信息")
public class UpdateAtomPackageInfo {
    @Schema(title = "插件ID")
    private String atomId;
    @Schema(title = "国际化资源目录路径")
    private String i18nDir;
    @Schema(title = "包路径")
    private String packagePath;
    @Schema(title = "插件包资源类型")
    private PackageSourceTypeEnum atomPackageSourceType;
}