package cd.casic.pipeline.store.pojo.container;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "容器信息")
public class ContainerType {
    @Schema(title = "流水线容器类型", required = true)
    private String type;
    
    @Schema(title = "操作系统", required = true)
    private List<ContainerOsInfo> osInfos;
}