package cd.casic.ci.common.pipeline.pojo.transfer;

import cd.casic.ci.common.pipeline.pojo.PipelineModelAndSetting;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.common.pipeline.pojo.transfer
 * @Project：ops-pro
 * @name：TransferResponse
 * @Date：2025/03/26 11:04
 * @Filename：TransferResponse
 * @description：Todo
 */
@Data
@Schema(title = "流水线互转-Response")
public class TransferResponse {
    @Schema(title = "modelAndSetting")
    private PipelineModelAndSetting modelAndSetting;
    @Schema(title = "当前yaml内容")
    private YamlWithVersion yamlWithVersion;
    @Schema(title = "定位")
    private TransferMark mark;
    @Schema(title = "互转报错信息")
    private String error;
    @Schema(title = "是否支持YAML解析", required = true)
    private boolean yamlSupported = true;
    @Schema(title = "YAML解析异常信息")
    private String yamlInvalidMsg;
}
