package cd.casic.ci.log.log;

import cd.casic.ci.log.dal.pojo.message.LogMessageWithLineNo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author by mianbin
 * @Classname LogStorageEvent
 * @Description 目前不是广播事件，留着后面用mq时候会用到。
 * @Date 2025/3/20 10:50
 */
@Data
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class LogStorageEvent extends ILogEvent {

    private String buildId;
    private List<LogMessageWithLineNo> logs;
    private int retryTime = 2;
    private int delayMills = 0;

}
