package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：PipelineStageTag
 * @Date：2025/03/24 16:46
 * @Filename：PipelineStageTag
 * @description：Todo
 */
@Data
@Schema(title = "流水线-阶段标签信息")
@AllArgsConstructor
public class PipelineStageTag {
    @Schema(title = "阶段标签ID", required = true)
    private String id;
    @Schema(title = "阶段标签名称", required = true)
    private String stageTagName;
    @Schema(title = "阶段标签权重", required = true)
    private Integer weight;
    @Schema(title = "是否为默认标签", required = true)
    private Boolean defaultFlag;
    @Schema(title = "创建日期")
    private Long createTime;
    @Schema(title = "更新日期")
    private Long updateTime;
}
