package cd.casic.ci.process.api.process.pojo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo
 * @Project：ops-pro
 * @name：Report
 * @Date：2025/03/24 17:01
 * @Filename：Report
 * @description：Todo
 */
@Data
@Schema(title = "自定义报告-报告信息")
public class Report {
    @Schema(title = "名称", required = true)
    private String name;
    @Schema(title = "首页地址", required = true)
    private String indexFileUrl;
    @Schema(title = "报告类型", required = true)
    private String type;
}