package cd.casic.ci.process.api.process.pojo.trigger;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @Author：mianbin
 * @Package：cd.casic.ci.pipelineciprocessapi.process.pojo.trigger
 * @Project：ops-pro
 * @name：PipelineTriggerEventVo
 * @Date：2025/03/24 17:25
 * @Filename：PipelineTriggerEventVo
 * @description：Todo
 */
@Data
@NoArgsConstructor
@Schema(title = "流水线触发事件视图对象")
public class PipelineTriggerEventVo {
    @Schema(title = "事件明细ID")
    private Long detailId;
    @Schema(title = "蓝盾项目ID")
    private String projectId;
    @Schema(title = "事件ID")
    private Long eventId;
    @Schema(title = "触发类型")
    private String triggerType;
    @Schema(title = "事件触发源,代码库触发-代码库ID")
    private String eventSource;
    @Schema(title = "事件类型")
    private String eventType;
    @Schema(title = "触发人")
    private String triggerUser;
    @Schema(title = "事件描述")
    private String eventDesc;
    @Schema(title = "事件时间")
    private Long eventTime;
    @Schema(title = "触发状态")
    private String status;
    @Schema(title = "流水线Id")
    private String pipelineId;
    @Schema(title = "流水线名称")
    private String pipelineName;
    @Schema(title = "构建Id")
    private String buildId;
    @Schema(title = "构建编号")
    private String buildNum;
    @Schema(title = "原因")
    private String reason;
    @Schema(title = "失败原因详情")
    private List<String> reasonDetailList;
}
