package cd.casic.ci.project.pojo;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Schema(title = "运营产品")
public class OperationalProductVO {

    @Schema(title = "运营产品ID")
    @JsonProperty(value = "ProductId", required = false)
    private Integer productId;

    @Schema(title = "运营产品ID")
    @JsonProperty(value = "ProductName", required = false)
    private String productName;

    @Schema(title = "运营产品ID")
    @JsonProperty(value = "PlanProductId", required = false)
    private Integer planProductId;

    @Schema(title = "规划产品名称")
    @JsonProperty(value = "PlanProductName", required = false)
    private String planProductName;

    @Schema(title = "部门ID")
    @JsonProperty(value = "DeptId", required = false)
    private String deptId;

    @Schema(title = "部门名称")
    @JsonProperty(value = "DeptName", required = false)
    private String deptName;

    @Schema(title = "BgId")
    @JsonProperty(value = "BgId", required = false)
    private String bgId;

    @Schema(title = "Bg名称")
    @JsonProperty(value = "BgName", required = false)
    private String bgName;
}