package cd.casic.pipeline.store.pojo.common;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
@Schema(title = "卸载组件请求包体")
public class UnInstallReq {
    @Schema(title = "实例列表", required = false)
    private List<String> instanceIdList;
    
    @Schema(title = "原因列表", required = true)
    private List<UnInstallReason> reasonList;
}